package com.diagbot.client.hystrix;

import com.diagbot.client.HighRiskServiceClient;
import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/12/21 11:48
 */
@Component
@Slf4j
public class HighRiskServiceHystrix implements HighRiskServiceClient {
    @Override
    public Response<GdbResponse> highRiskPageData(Map<String, String> map) {
        log.error("【hystrix】调用{}异常", "highRiskPageData");
        return null;
    }
}
